---
api: 'Business API'
---

# Retrieve a list of counterparties

Get all the counterparties that you have created, or use the query parameters to filter the results. 

The counterparties are sorted by the `created_at` date in reverse chronological order.

The returned counterparties are **paginated**. 
The maximum number of counterparties returned per page is specified by the `limit` parameter.
To get to the next page, make a new request and use the `created_at` date of the last counterparty returned in the previous response.

For more information, see the guides: [Retrieve counterparties](/docs/guides/manage-accounts/counterparties/retrieve-counterparties).

## Endpoint

GET `/counterparties`

## Parameters

### query parameters

- `name` (string, optional)
  The name of the counterparty to retrieve. It does not need to be an exact match, partial match is also supported. 
  
  :::note
  Special characters must be properly URL-encoded.
  :::

- `account_no` (string, optional)
  The exact account number of the counterparty to retrieve.

- `sort_code` (string, optional)
  The exact sort code of the counterparty to retrieve. 
  Only allowed in combination with the `account_no` parameter.

- `iban` (string, optional)
  The exact IBAN of the counterparty to retrieve.

- `bic` (string, optional)
  The exact BIC of the counterparty to retrieve. 
  Only allowed in combination with the `iban` parameter.

- `created_before` (string, optional)
  Retrieves counterparties with `created_at` < `created_before`.
  The default value is the current date and time at which you are calling the endpoint. 
  
  Provide it in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.

- `limit` (integer, optional)
  The maximum number of counterparties returned per page.
  
  To get to the next page, make a new request and use the `created_at` date of the last counterparty returned in the previous response as the value for `created_before`.

## Returns

### 200

List of your counterparties

#### Response attributes


## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request |
| 401 | Anauthorized |
